%global svnrev	17619
%global svndate	20191212

Name:		trac-accountmanager-plugin
Version:	0.6
Release:	0.1.r17619%{?dist}
Summary:	Trac plugin for account registration and management
License:	Copyright only
URL:		http://trac-hacks.org/wiki/AccountManagerPlugin
Source0:	TracAccountManager-%{version}dev-r%{svnrev}.tar.bz2
BuildArch:	noarch
BuildRequires:	python2-devel >= 2.7

# Source sometimes comes from SVN repository at trac-hacks.org
Source1:	pull-from-svn.sh
Patch0:		TracAccountManager-0.5dev-r16888-shellbang.patch

# Fix test failure with trac 1.4
Patch1:		TracAccountManager-0.6dev-r17619-test.patch

# Required for import of pkg_resources
BuildRequires:	python2-setuptools
Requires:	python2-setuptools

# Needed for translations
BuildRequires:	python2dist(babel) >= 0.9.5
Requires:	python2dist(babel) >= 0.9.5

# Needed for templates
BuildRequires:	python2dist(genshi) >= 0.6
Requires:	python2dist(genshi) >= 0.6

# This package is explicitly for trac ≥ 1.2
BuildRequires:	trac >= 1.2
Requires:	trac >= 1.2

%description
The AccountManagerPlugin offers several features for managing user accounts:

 * allow users to register new accounts
 * login via an HTML form instead of using HTTP authentication
 * allow existing users to change their passwords or delete their accounts
 * send a new password to users who've forgotten their password
 * administer user accounts using the trac web interface

%prep
%setup -n TracAccountManager-%{version}dev-r%{svnrev} -q

# Use /usr/bin/python2 rather than /usr/bin/env python
%patch0

# Fix test failure with trac 1.4
%patch1 -b .trac14

%build
%py2_build

%install
%py2_install

# Don't need to package this
rm %{buildroot}%{python2_sitelib}/acct_mgr/locale/.placeholder

%check
%{__python2} setup.py test

%files
%license COPYING
%doc changelog README README.update
%doc contrib/fix-session_attribute-failed_logins.py contrib/sessionstore_convert.py
%dir %{python2_sitelib}/acct_mgr/
%{python2_sitelib}/acct_mgr/*.py*
%{python2_sitelib}/acct_mgr/htdocs/
%{python2_sitelib}/acct_mgr/opt/
%{python2_sitelib}/acct_mgr/templates/
%dir %{python2_sitelib}/acct_mgr/locale/
%dir %{python2_sitelib}/acct_mgr/locale/cs/
%dir %{python2_sitelib}/acct_mgr/locale/cs/LC_MESSAGES/
%lang(cs) %{python2_sitelib}/acct_mgr/locale/cs/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/de/
%dir %{python2_sitelib}/acct_mgr/locale/de/LC_MESSAGES/
%lang(de) %{python2_sitelib}/acct_mgr/locale/de/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/es/
%dir %{python2_sitelib}/acct_mgr/locale/es/LC_MESSAGES/
%lang(es) %{python2_sitelib}/acct_mgr/locale/es/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/et/
%dir %{python2_sitelib}/acct_mgr/locale/et/LC_MESSAGES/
%lang(et) %{python2_sitelib}/acct_mgr/locale/et/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/fi/
%dir %{python2_sitelib}/acct_mgr/locale/fi/LC_MESSAGES/
%lang(fi) %{python2_sitelib}/acct_mgr/locale/fi/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/fr/
%dir %{python2_sitelib}/acct_mgr/locale/fr/LC_MESSAGES/
%lang(fr) %{python2_sitelib}/acct_mgr/locale/fr/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/he/
%dir %{python2_sitelib}/acct_mgr/locale/he/LC_MESSAGES/
%lang(he) %{python2_sitelib}/acct_mgr/locale/he/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/id_ID/
%dir %{python2_sitelib}/acct_mgr/locale/id_ID/LC_MESSAGES/
%lang(id_ID) %{python2_sitelib}/acct_mgr/locale/id_ID/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/it/
%dir %{python2_sitelib}/acct_mgr/locale/it/LC_MESSAGES/
%lang(it) %{python2_sitelib}/acct_mgr/locale/it/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/ja/
%dir %{python2_sitelib}/acct_mgr/locale/ja/LC_MESSAGES/
%lang(ja) %{python2_sitelib}/acct_mgr/locale/ja/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/nl/
%dir %{python2_sitelib}/acct_mgr/locale/nl/LC_MESSAGES/
%lang(nl) %{python2_sitelib}/acct_mgr/locale/nl/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/pl/
%dir %{python2_sitelib}/acct_mgr/locale/pl/LC_MESSAGES/
%lang(pl) %{python2_sitelib}/acct_mgr/locale/pl/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/pt_BR/
%dir %{python2_sitelib}/acct_mgr/locale/pt_BR/LC_MESSAGES/
%lang(pt_BR) %{python2_sitelib}/acct_mgr/locale/pt_BR/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/ru/
%dir %{python2_sitelib}/acct_mgr/locale/ru/LC_MESSAGES/
%lang(ru) %{python2_sitelib}/acct_mgr/locale/ru/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/sv/
%dir %{python2_sitelib}/acct_mgr/locale/sv/LC_MESSAGES/
%lang(sv) %{python2_sitelib}/acct_mgr/locale/sv/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/te/
%dir %{python2_sitelib}/acct_mgr/locale/te/LC_MESSAGES/
%lang(te) %{python2_sitelib}/acct_mgr/locale/te/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/tr/
%dir %{python2_sitelib}/acct_mgr/locale/tr/LC_MESSAGES/
%lang(tr) %{python2_sitelib}/acct_mgr/locale/tr/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/uk/
%dir %{python2_sitelib}/acct_mgr/locale/uk/LC_MESSAGES/
%lang(uk) %{python2_sitelib}/acct_mgr/locale/uk/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/zh_CN/
%dir %{python2_sitelib}/acct_mgr/locale/zh_CN/LC_MESSAGES/
%lang(zh_CN) %{python2_sitelib}/acct_mgr/locale/zh_CN/LC_MESSAGES/acct_mgr.mo
%dir %{python2_sitelib}/acct_mgr/locale/zh_TW/
%dir %{python2_sitelib}/acct_mgr/locale/zh_TW/LC_MESSAGES/
%lang(zh_TW) %{python2_sitelib}/acct_mgr/locale/zh_TW/LC_MESSAGES/acct_mgr.mo
%{python2_sitelib}/TracAccountManager-%{version}*-py2.7.egg-info/

%changelog
* Fri Jan 31 2020 Paul Howarth <paul@city-fan.org> - 0.6-0.1.r17619
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Feb  7 2019 Paul Howarth <paul@city-fan.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jul 16 2018 Paul Howarth <paul@city-fan.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Apr 29 2018 Paul Howarth <paul@city-fan.org> - 0.5.0-1
- Update to release version 0.5.0

* Thu Jan 18 2018 Paul Howarth <paul@city-fan.org> - 0.5-0.3.r16888
- Update to svn revision 16888
- Use %%{python2_sitelib} rather than %%{python_sitelib}
- Fix shellbangs not to use /usr/bin/env python

* Mon Jul 31 2017 Paul Howarth <paul@city-fan.org> - 0.5-0.2.r16056
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 19 2017 Paul Howarth <paul@city-fan.org> - 0.5-0.1.r16056
- Update to current svn snapshot for trac 1.2 compatibility

* Fri Jun 19 2015 Paul Howarth <paul@city-fan.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 Paul Howarth <paul@city-fan.org> - 0.4.4-2
- Allow a question as alternative BotTrapCheck field description
- Fix the test suite so that it works with trac 1.0.2
- Use %%license where possible

* Sat Apr 19 2014 Paul Howarth <paul@city-fan.org> - 0.4.4-1
- Update to current stable release version
  - Lots of password-related fixes
  - Lots of extra translations
- NOTE: existing users should read README.update for important change details
- Package upstream's COPYING file
- Drop %%defattr, redundant since rpm 4.4

* Fri Feb 15 2013 Paul Howarth <paul@city-fan.org> - 0.4-0.3.20120108svn11131
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Paul Howarth <paul@city-fan.org> - 0.4-0.2.20120108svn11131
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 11 2012 Paul Howarth <paul@city-fan.org> - 0.4-0.1.20120108svn11131
- Update to current svn snapshot (from trunk for trac 0.12)
- Add new translations to %%files list
- Drop test suite patch, no longer needed
- Package changelog and README.update
- Nobody else likes macros for commands
- NOTE: existing users should read README.update for important change details

* Fri Dec 24 2010 Paul Howarth <paul@city-fan.org> - 0.3-0.2.20101206svn9591
- Update to current svn snapshot (from trunk for trac 0.12)
- Require trac >= 0.12
- Require python-genshi >= 0.6 or python-genshi06 as per trac itself
- Go to great trouble to set %%lang on translations
- Patch out errors in test suite
- Help setup.py find Genshi 0.6, which is in an egg for EPEL-6

* Tue Dec 21 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-6.20101013svn9290
- Update to svn revision 9290
  - Add "Remember me" (http://trac-hacks.org/ticket/131)
  - Fix infinite redirect loop after resetting the password
    (http://trac-hacks.org/ticket/3233)
  - Fix compatibility with AnnouncerPlugin
    (http://trac-hacks.org/ticket/6730 and http://trac-hacks.org/ticket/6739)
  - Various typo fixes etc.
- BR: python2-devel rather than just python-devel
- Require trac >= 0.11.2 for secure_cookies
- Add %%check section and run test suite
- BR: trac for trac.test, needed for test suite

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-5.20100224svn7707
- Rebuild for python 2.7 in Rawhide

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-4.20100224svn7707
- Update to svn revision 7707
  - fix email verification (http://trac-hacks.org/ticket/4125)
  - no mail if there's no email address (http://trac-hacks.org/ticket/3401)
  - fix realm for htdigest (upstream tickets #6329, #6453, #6464)
- Set timestamp on tarball to timestamp of latest change in svn
- Drop patch for http://trac-hacks.org/ticket/4125 (now in 0.11 branch)

* Wed Aug 19 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-3.20090522svn5836
- Use setuptools to generate tarball, and fix timestamps on a per-file basis
- Use --skip-build in %%install to avoid repeating the build

* Tue Aug 18 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-2.20090522svn5836
- Update to svn revision 5836 to fix deprecation warnings
  (http://trac-hacks.org/ticket/4984)
- Expand %%description and comment runtime dependencies
- Include script for pulling tarball from upstream svn
- Include sessionstore_convert.py script
  (http://www.mailinglistarchive.com/trac-users@googlegroups.com/msg03696.html)
- Add upstream patch for email verification issues with trac 0.11.4
  (http://trac-hacks.org/ticket/4125)

* Sun Apr 05 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2.1-1.20090406svn5484
- Initial release

